# Class MenuAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.e4.ui.model.application.ui.menu.util.MenuAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`

public class MenuAdapterFactory extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  - `MenuPackageImpl`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static MenuPackageImpl`
`modelPackage`
The cached model package.
`protected MenuSwitch<org.eclipse.emf.common.notify.Adapter>`
`modelSwitch`
The switch that delegates to the `createXXX` methods.

## Constructor Summary

Constructors
Constructor
Description
`MenuAdapterFactory()`
Creates an instance of the adapter factory.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.Adapter`
`createAdapter(org.eclipse.emf.common.notify.Notifier target)`
Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter`
`createApplicationElementAdapter()`
Creates a new adapter for an object of class '`Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createContextAdapter()`
Creates a new adapter for an object of class '`Context`'.
`org.eclipse.emf.common.notify.Adapter`
`createContributionAdapter()`
Creates a new adapter for an object of class '`Contribution`'.
`org.eclipse.emf.common.notify.Adapter`
`createDirectMenuItemAdapter()`
Creates a new adapter for an object of class '`Direct Menu Item`'.
`org.eclipse.emf.common.notify.Adapter`
`createDirectToolItemAdapter()`
Creates a new adapter for an object of class '`Direct Tool Item`'.
`org.eclipse.emf.common.notify.Adapter`
`createDynamicMenuContributionAdapter()`
Creates a new adapter for an object of class '`Dynamic Menu Contribution`'.
`org.eclipse.emf.common.notify.Adapter`
`createElementContainerAdapter()`
Creates a new adapter for an object of class '`Element Container`'.
`org.eclipse.emf.common.notify.Adapter`
`createEObjectAdapter()`
Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter`
`createHandledItemAdapter()`
Creates a new adapter for an object of class '`Handled Item`'.
`org.eclipse.emf.common.notify.Adapter`
`createHandledMenuItemAdapter()`
Creates a new adapter for an object of class '`Handled Menu Item`'.
`org.eclipse.emf.common.notify.Adapter`
`createHandledToolItemAdapter()`
Creates a new adapter for an object of class '`Handled Tool Item`'.
`org.eclipse.emf.common.notify.Adapter`
`createItemAdapter()`
Creates a new adapter for an object of class '`Item`'.
`org.eclipse.emf.common.notify.Adapter`
`createLocalizableAdapter()`
Creates a new adapter for an object of class '`Localizable`'.
`org.eclipse.emf.common.notify.Adapter`
`createMenuAdapter()`
Creates a new adapter for an object of class '`Menu`'.
`org.eclipse.emf.common.notify.Adapter`
`createMenuContributionAdapter()`
Creates a new adapter for an object of class '`Contribution`'.
`org.eclipse.emf.common.notify.Adapter`
`createMenuContributionsAdapter()`
Creates a new adapter for an object of class '`Contributions`'.
`org.eclipse.emf.common.notify.Adapter`
`createMenuElementAdapter()`
Creates a new adapter for an object of class '`Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createMenuItemAdapter()`
Creates a new adapter for an object of class '`Item`'.
`org.eclipse.emf.common.notify.Adapter`
`createMenuSeparatorAdapter()`
Creates a new adapter for an object of class '`Separator`'.
`org.eclipse.emf.common.notify.Adapter`
`createPopupMenuAdapter()`
Creates a new adapter for an object of class '`Popup Menu`'.
`org.eclipse.emf.common.notify.Adapter`
`createToolBarAdapter()`
Creates a new adapter for an object of class '`Tool Bar`'.
`org.eclipse.emf.common.notify.Adapter`
`createToolBarContributionAdapter()`
Creates a new adapter for an object of class '`Tool Bar Contribution`'.
`org.eclipse.emf.common.notify.Adapter`
`createToolBarContributionsAdapter()`
Creates a new adapter for an object of class '`Tool Bar Contributions`'.
`org.eclipse.emf.common.notify.Adapter`
`createToolBarElementAdapter()`
Creates a new adapter for an object of class '`Tool Bar Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createToolBarSeparatorAdapter()`
Creates a new adapter for an object of class '`Tool Bar Separator`'.
`org.eclipse.emf.common.notify.Adapter`
`createToolControlAdapter()`
Creates a new adapter for an object of class '`Tool Control`'.
`org.eclipse.emf.common.notify.Adapter`
`createToolItemAdapter()`
Creates a new adapter for an object of class '`Tool Item`'.
`org.eclipse.emf.common.notify.Adapter`
`createTrimContributionAdapter()`
Creates a new adapter for an object of class '`Trim Contribution`'.
`org.eclipse.emf.common.notify.Adapter`
`createTrimContributionsAdapter()`
Creates a new adapter for an object of class '`Trim Contributions`'.
`org.eclipse.emf.common.notify.Adapter`
`createTrimElementAdapter()`
Creates a new adapter for an object of class '`Trim Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createUIElementAdapter()`
Creates a new adapter for an object of class '`UI Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createUILabelAdapter()`
Creates a new adapter for an object of class '`UI Label`'.
`boolean`
`isFactoryForType(Object object)`
Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static MenuPackageImpl modelPackage
The cached model package.

### modelSwitch

protected MenuSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch
The switch that delegates to the `createXXX` methods.

## Constructor Details

### MenuAdapterFactory

public MenuAdapterFactory()
Creates an instance of the adapter factory.

## Method Details

### isFactoryForType

public boolean isFactoryForType(Object object)
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

### createAdapter

public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)
Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

### createItemAdapter

public org.eclipse.emf.common.notify.Adapter createItemAdapter()
Creates a new adapter for an object of class '`Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MItem`

### createHandledItemAdapter

public org.eclipse.emf.common.notify.Adapter createHandledItemAdapter()
Creates a new adapter for an object of class '`Handled Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MHandledItem`

### createMenuElementAdapter

public org.eclipse.emf.common.notify.Adapter createMenuElementAdapter()
Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MMenuElement`

### createMenuItemAdapter

public org.eclipse.emf.common.notify.Adapter createMenuItemAdapter()
Creates a new adapter for an object of class '`Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MMenuItem`

### createMenuSeparatorAdapter

public org.eclipse.emf.common.notify.Adapter createMenuSeparatorAdapter()
Creates a new adapter for an object of class '`Separator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MMenuSeparator`

### createMenuAdapter

public org.eclipse.emf.common.notify.Adapter createMenuAdapter()
Creates a new adapter for an object of class '`Menu`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MMenu`

### createMenuContributionAdapter

public org.eclipse.emf.common.notify.Adapter createMenuContributionAdapter()
Creates a new adapter for an object of class '`Contribution`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MMenuContribution`
Restriction:
  See `model documentation` for details.

### createPopupMenuAdapter

public org.eclipse.emf.common.notify.Adapter createPopupMenuAdapter()
Creates a new adapter for an object of class '`Popup Menu`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MPopupMenu`

### createDirectMenuItemAdapter

public org.eclipse.emf.common.notify.Adapter createDirectMenuItemAdapter()
Creates a new adapter for an object of class '`Direct Menu Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MDirectMenuItem`

### createHandledMenuItemAdapter

public org.eclipse.emf.common.notify.Adapter createHandledMenuItemAdapter()
Creates a new adapter for an object of class '`Handled Menu Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MHandledMenuItem`

### createToolItemAdapter

public org.eclipse.emf.common.notify.Adapter createToolItemAdapter()
Creates a new adapter for an object of class '`Tool Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MToolItem`

### createToolBarAdapter

public org.eclipse.emf.common.notify.Adapter createToolBarAdapter()
Creates a new adapter for an object of class '`Tool Bar`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MToolBar`

### createToolBarElementAdapter

public org.eclipse.emf.common.notify.Adapter createToolBarElementAdapter()
Creates a new adapter for an object of class '`Tool Bar Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MToolBarElement`

### createToolControlAdapter

public org.eclipse.emf.common.notify.Adapter createToolControlAdapter()
Creates a new adapter for an object of class '`Tool Control`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MToolControl`

### createHandledToolItemAdapter

public org.eclipse.emf.common.notify.Adapter createHandledToolItemAdapter()
Creates a new adapter for an object of class '`Handled Tool Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MHandledToolItem`

### createDirectToolItemAdapter

public org.eclipse.emf.common.notify.Adapter createDirectToolItemAdapter()
Creates a new adapter for an object of class '`Direct Tool Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MDirectToolItem`

### createToolBarSeparatorAdapter

public org.eclipse.emf.common.notify.Adapter createToolBarSeparatorAdapter()
Creates a new adapter for an object of class '`Tool Bar Separator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MToolBarSeparator`

### createMenuContributionsAdapter

public org.eclipse.emf.common.notify.Adapter createMenuContributionsAdapter()
Creates a new adapter for an object of class '`Contributions`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MMenuContributions`
Restriction:
  See `model documentation` for details.

### createToolBarContributionAdapter

public org.eclipse.emf.common.notify.Adapter createToolBarContributionAdapter()
Creates a new adapter for an object of class '`Tool Bar Contribution`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MToolBarContribution`
Restriction:
  See `model documentation` for details.

### createToolBarContributionsAdapter

public org.eclipse.emf.common.notify.Adapter createToolBarContributionsAdapter()
Creates a new adapter for an object of class '`Tool Bar Contributions`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MToolBarContributions`
Restriction:
  See `model documentation` for details.

### createTrimContributionAdapter

public org.eclipse.emf.common.notify.Adapter createTrimContributionAdapter()
Creates a new adapter for an object of class '`Trim Contribution`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MTrimContribution`
Restriction:
  See `model documentation` for details.

### createTrimContributionsAdapter

public org.eclipse.emf.common.notify.Adapter createTrimContributionsAdapter()
Creates a new adapter for an object of class '`Trim Contributions`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MTrimContributions`
Restriction:
  See `model documentation` for details.

### createDynamicMenuContributionAdapter

public org.eclipse.emf.common.notify.Adapter createDynamicMenuContributionAdapter()
Creates a new adapter for an object of class '`Dynamic Menu Contribution`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MDynamicMenuContribution`

### createApplicationElementAdapter

public org.eclipse.emf.common.notify.Adapter createApplicationElementAdapter()
Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MApplicationElement`

### createLocalizableAdapter

public org.eclipse.emf.common.notify.Adapter createLocalizableAdapter()
Creates a new adapter for an object of class '`Localizable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.1
See Also:
  - `MLocalizable`

### createUIElementAdapter

public org.eclipse.emf.common.notify.Adapter createUIElementAdapter()
Creates a new adapter for an object of class '`UI Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MUIElement`

### createUILabelAdapter

public org.eclipse.emf.common.notify.Adapter createUILabelAdapter()
Creates a new adapter for an object of class '`UI Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MUILabel`

### createElementContainerAdapter

public org.eclipse.emf.common.notify.Adapter createElementContainerAdapter()
Creates a new adapter for an object of class '`Element Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MElementContainer`

### createContextAdapter

public org.eclipse.emf.common.notify.Adapter createContextAdapter()
Creates a new adapter for an object of class '`Context`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MContext`

### createContributionAdapter

public org.eclipse.emf.common.notify.Adapter createContributionAdapter()
Creates a new adapter for an object of class '`Contribution`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MContribution`

### createTrimElementAdapter

public org.eclipse.emf.common.notify.Adapter createTrimElementAdapter()
Creates a new adapter for an object of class '`Trim Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MTrimElement`

### createEObjectAdapter

public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()
Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.